devel/p5-Gnome2 - The NetBSD Packages Collection

Perl bindings for libgnome and libgnomeui

The Gnome2 module allows a perl developer to use the Gnome libraries.

The perl bindings follow the C API very closely, and the C reference
documentation should be considered the canonical source.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/pkgconf

Runtime dependencies

devel/p5-ExtUtils-Depends devel/p5-ExtUtils-PkgConfig devel/libgnome devel/libgnomeui graphics/p5-Gnome2-Canvas x11/p5-gtk2 sysutils/p5-Gnome2-VFS lang/perl5 lang/perl5 devel/libgnome devel/libgnomeui graphics/p5-Gnome2-Canvas x11/p5-gtk2 sysutils/p5-Gnome2-VFS

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Gnome2-1.047nb17.tgz
NetBSD 8.0earmv7hfp5-Gnome2-1.047nb17.tgz
NetBSD 8.0i386p5-Gnome2-1.047nb16.tgz
NetBSD 8.0i386p5-Gnome2-1.047nb17.tgz
NetBSD 8.0i386p5-Gnome2-1.047nb17.tgz
NetBSD 8.0powerpcp5-Gnome2-1.047nb16.tgz
NetBSD 8.0powerpcp5-Gnome2-1.047nb17.tgz
NetBSD 8.0powerpcp5-Gnome2-1.047nb17.tgz
NetBSD 8.0x86_64p5-Gnome2-1.047nb16.tgz
NetBSD 8.0x86_64p5-Gnome2-1.047nb17.tgz
NetBSD 9.0aarch64p5-Gnome2-1.047nb17.tgz
NetBSD 9.0aarch64p5-Gnome2-1.047nb16.tgz
NetBSD 9.0aarch64p5-Gnome2-1.047nb17.tgz
NetBSD 9.0alphap5-Gnome2-1.047nb17.tgz
NetBSD 9.0alphap5-Gnome2-1.047nb17.tgz
NetBSD 9.0earmv6hfp5-Gnome2-1.047nb17.tgz
NetBSD 9.0earmv6hfp5-Gnome2-1.047nb16.tgz
NetBSD 9.0earmv6hfp5-Gnome2-1.047nb17.tgz
NetBSD 9.0earmv6hfp5-Gnome2-1.047nb17.tgz
NetBSD 9.0earmv7hfp5-Gnome2-1.047nb17.tgz
NetBSD 9.0earmv7hfp5-Gnome2-1.047nb16.tgz
NetBSD 9.0earmv7hfp5-Gnome2-1.047nb17.tgz
NetBSD 9.0earmv7hfp5-Gnome2-1.047nb17.tgz
NetBSD 9.0i386p5-Gnome2-1.047nb16.tgz
NetBSD 9.0i386p5-Gnome2-1.047nb17.tgz
NetBSD 9.0i386p5-Gnome2-1.047nb17.tgz
NetBSD 9.0mips64ebp5-Gnome2-1.047nb17.tgz
NetBSD 9.0mips64ebp5-Gnome2-1.047nb16.tgz
NetBSD 9.0mips64ebp5-Gnome2-1.047nb17.tgz
NetBSD 9.0powerpcp5-Gnome2-1.047nb17.tgz
NetBSD 9.0powerpcp5-Gnome2-1.047nb16.tgz
NetBSD 9.0sparc64p5-Gnome2-1.047nb17.tgz
NetBSD 9.0sparc64p5-Gnome2-1.047nb16.tgz
NetBSD 9.0sparc64p5-Gnome2-1.047nb17.tgz
NetBSD 9.0sparcp5-Gnome2-1.047nb17.tgz
NetBSD 9.0sparcp5-Gnome2-1.047nb17.tgz
NetBSD 9.0x86_64p5-Gnome2-1.047nb17.tgz
NetBSD 9.0x86_64p5-Gnome2-1.047nb17.tgz
NetBSD 9.0x86_64p5-Gnome2-1.047nb17.tgz
NetBSD 9.0x86_64p5-Gnome2-1.047nb17.tgz
NetBSD 9.0x86_64p5-Gnome2-1.047nb16.tgz
NetBSD 9.0x86_64p5-Gnome2-1.047nb17.tgz
NetBSD 9.0x86_64p5-Gnome2-1.047nb17.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.